summaryrefslogtreecommitdiff
path: root/t/test-driver-acsubst.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/test-driver-acsubst.sh')
-rw-r--r--t/test-driver-acsubst.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/t/test-driver-acsubst.sh b/t/test-driver-acsubst.sh
index 1d18ed6f9..0703945cd 100644
--- a/t/test-driver-acsubst.sh
+++ b/t/test-driver-acsubst.sh
@@ -26,6 +26,13 @@ cp "$am_testaux_srcdir"/trivial-test-driver test-drivers/triv \
cp "$am_scriptdir"/test-driver test-drivers/dflt \
|| fatal_ "failed to fetch auxiliary script test-driver"
+cat > test-driver <<'END'
+#!/bin/sh
+echo "$0: required by Automake, but should never be actually used" >&2
+exit 1
+END
+chmod a+x test-driver
+
cat >> configure.ac <<'END'
AC_SUBST([LOG_DRIVER], ['${SHELL} test-drivers/triv'])
AC_SUBST([TEST_LOG_DRIVER], ['${SHELL} test-drivers/dflt'])